rte_event_port_conf(3)

NAME
rte_event_port_conf

SYNOPSIS

#include <rte_eventdev.h>

  Data Fields

int32_t new_event_threshold
uint16_t dequeue_depth
uint16_t enqueue_depth
uint32_t event_port_cfg

Detailed Description

Event port configuration structure

Definition at line 1178 of file rte_eventdev.h.

Field Documentation

  int32_t new_event_threshold
A backpressure threshold for new event enqueues on this port. Use for closed system event dev where event capacity is limited, and cannot exceed the capacity of the event dev.

Configuring ports with different thresholds can make higher priority traffic less likely to be backpressured. For example, a port used to inject NIC Rx packets into the event dev can have a lower threshold so as not to overwhelm the device, while ports used for worker pools can have a higher threshold. This value cannot exceed the nb_events_limit value which was previously supplied to rte_event_dev_configure().

This should be set to '-1' for open system, i.e when max_num_events == -1.

Definition at line 1179 of file rte_eventdev.h.

  uint16_t dequeue_depth
Configure the maximum size of burst dequeues for this event port. This value cannot exceed the nb_event_port_dequeue_depth value which was previously supplied to rte_event_dev_configure().

Ignored when device does not support the RTE_EVENT_DEV_CAP_BURST_MODE capability.

Definition at line 1195 of file rte_eventdev.h.

  uint16_t enqueue_depth
Configure the maximum size of burst enqueues to this event port. This value cannot exceed the nb_event_port_enqueue_depth value which was previously supplied to rte_event_dev_configure().

Ignored when device does not support the RTE_EVENT_DEV_CAP_BURST_MODE capability.

Definition at line 1202 of file rte_eventdev.h.

  uint32_t event_port_cfg
Port configuration flags(EVENT_PORT_CFG_)

Definition at line 1209 of file rte_eventdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.